loongnix20180630编译fedora28的glibc(src.rpm源码包)出错

硬件环境:3A3000
系统环境:loongnix20180630
问题:
loongnix20180630编译fedora28的glibc(src.rpm源码包)出错,
fedora28对应的gcc也出错。
求帮助!!!
已邀请:

shikongzhineng

赞同来自:

7a1000 眼馋

flygoatfree

赞同来自:

Loongnix是FC21。。你在21上跑28的包怎么不出错啊。。

jiangtao9999

赞同来自:

不要找死跨这么大跨度的升级系统。你现在要么中间层升级一下,比如先编译 gcc 7 ,之后再用 gcc 7 编译 glibc 的某个中间版本。
不过我要没记错,fc28 的 glibc 改了一个部分的软件支持,好像是 libxcrypt ?
你需要先编译 libxcrypt ,之后 glibc 才能被编译出来,但是 libxcrypt 依赖新的 glibc 。
需要先自己编译一个不依赖 libxcrypt 的 glibc 做中间过渡。
fedora 的 kojo 里面我记得有个中间过渡用的 glibc 软件包可以下载。用的是 2.xx.9000 这种开发版做的中间过渡。

要回复问题请先登录注册